Bug 1920509 - wait for port 6443 to be open in the kube-scheduler container; use ss instead of lsof
Summary: wait for port 6443 to be open in the kube-scheduler container; use ss instead...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: kube-scheduler
Version: 4.7
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 4.7.0
Assignee: Jan Chaloupka
QA Contact: RamaKasturi
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-01-26 12:41 UTC by Jan Chaloupka
Modified: 2021-02-24 15:56 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:56:23 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-kube-scheduler-operator pull 324 0 None open bug 1920509: Use ss instead of lsof when waiting for ports 2021-01-26 12:42:09 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:56:51 UTC

Description Jan Chaloupka 2021-01-26 12:41:49 UTC
"ss" shows sockets in CLOSE-WAIT state, so it's more accurate.

Comment 2 RamaKasturi 2021-01-27 13:02:24 UTC
Verified bug in the payload below and i see that changes present in the PR are present.

[knarra@knarra ~]$ oc get clusterversion
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.7.0-0.nightly-2021-01-27-022930   True        False         175m    Cluster version is 4.7.0-0.nightly-2021-01-27-022930

Before the fix:
=================
[knarra@knarra ~]$ oc get pod openshift-kube-scheduler-wduan-0126b-xtdcv-control-plane-0 -o yaml -n openshift-kube-scheduler | grep 10251
        port: 10251
        port: 10251
      echo -n "Waiting for port :10259 and :10251 to be released."
      while [ -n "$(lsof -ni :10251)" -o -n "$(lsof -i :10259)" ]; do

After the fix:
===================
[knarra@knarra ~]$ oc get pod openshift-kube-scheduler-ip-10-0-147-38.us-east-2.compute.internal -o yaml -n openshift-kube-scheduler | grep 10251
      echo -n "Waiting for port :10259 and :10251 to be released."
      while [ -n "$(ss -Htan '( sport = 10251 or sport = 10259 )')" ]; do

Based on the above moving bug to verified state.

Comment 5 errata-xmlrpc 2021-02-24 15:56:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.